Bug 520631 - Timezone selection doesn't honor keyboard hits like "E" for "Europe"
Timezone selection doesn't honor keyboard hits like "E" for "Europe"
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
: 689812 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
Reported: 2009-09-01 10:20 EDT by Robert Scheck
Modified: 2014-09-30 19:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-15.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-03-07 11:49:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-09-01 10:20:09 EDT
Description of problem:
Timezone selection doesn't honor keyboard hits like "E" for "Europe". I have
to use Page up/down or the cursor keys which is much slower rather simply a
"E" for "Europe" and then switch down to "Europe/Berlin".

Version-Release number of selected component (if applicable):
Anaconda of Fedora 11 (i386) final via Netinstall.

How reproducible:
Everytime, see above.

Actual results:
Timezone selection doesn't honor keyboard hits like "E" for "Europe"

Expected results:
Timeselection honoring keyboard pressings to move forward to e.g. "Europe".
Comment 1 Bug Zapper 2010-07-30 06:43:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
Comment 2 Ales Kozumplik 2010-10-14 04:36:13 EDT
Additional feature could be just entry box where one would type the entire location and the combobox would select the nearest match.
Comment 3 Ales Kozumplik 2010-10-19 09:00:39 EDT
What the bug description requests is currently not supported by the GTK+ toolkit, related GTK bug:
Comment 4 Ales Kozumplik 2010-10-25 03:25:50 EDT
Fixed rawhide by f320196644bac05f80a9e30490081179fd173516.

The change makes anaconda use the entire s-c-date timezone page instead. Quick search-as-you-type in the list is supported.
Comment 5 Chris Lumens 2011-03-22 15:17:23 EDT
*** Bug 689812 has been marked as a duplicate of this bug. ***
Comment 6 Pavel Šimerda (pavlix) 2011-03-22 15:23:16 EDT
Thanks, Chris, and sorry for reporting duplicately.
Comment 7 Ales Kozumplik 2011-03-23 04:10:29 EDT

if the keypresses are not working for you please open a bug against system-config-date. It is really difficult to select e.g. 'Paris' if the selector is within the expanded 'North America' folder.

Comment 8 Pavel Šimerda (pavlix) 2011-03-23 13:03:06 EDT
Hi Ales,

in system-config-date, it soft of works. I mean, it's not perfect from the keyboard user perspective, but at least it responds to typing first letters of continents and after opening with a plus key (I wonder why space, enter, and/or right arrow don't do anything), you can try again with the first letters of a city.

I was reporting against Fedora 14 and I'm happy that future versions will work at least like system-config-date.



Note You need to log in before you can comment on or make changes to this bug.